
 LinHES - Bug # 723: HDPVR Driver not recognizing new product ID

Status: Closed Priority: High
Author: BigBoyStan Category: Kernel
Created: 10/26/2010 Assignee: cecil
Updated: 01/11/2011 Due date: 01/10/2011
Description: The current driver for the HDPVR (hdpvr.ko) which is included with the v4l-dvb update does not recognize the 

latest product ID (4903) which is being shipped by Hauppauge.

The following files must be updated with ID4 and the driver compiled. Unfortunelty, the current package does 
not include these files.

./v4l-dvb/linux/drivers/media/video/hdpvr/hdpvr.h

Code:
/* Define these values to match your devices */
#define HD_PVR_VENDOR_ID        0x2040
#define HD_PVR_PRODUCT_ID       0x4900
#define HD_PVR_PRODUCT_ID1      0x4901
#define HD_PVR_PRODUCT_ID2      0x4902
#define HD_PVR_PRODUCT_ID3      0x4982
#define HD_PVR_PRODUCT_ID4      0x4903

./v4l-dvb/linux/drivers/media/video/hdpvr/hdpvr-core.c

Code:
/* table of devices that work with this driver */
static struct usb_device_id hdpvr_table[] = {
        { USB_DEVICE(HD_PVR_VENDOR_ID, HD_PVR_PRODUCT_ID) },
        { USB_DEVICE(HD_PVR_VENDOR_ID, HD_PVR_PRODUCT_ID1) },
        { USB_DEVICE(HD_PVR_VENDOR_ID, HD_PVR_PRODUCT_ID2) },
        { USB_DEVICE(HD_PVR_VENDOR_ID, HD_PVR_PRODUCT_ID3) },
        { USB_DEVICE(HD_PVR_VENDOR_ID, HD_PVR_PRODUCT_ID4) },
        { }                                     /* Terminating entry */
};

History
11/05/2010 09:22 am - jams
- Assignee set to jams

12/06/2010 08:13 am - rsay
- File v4l-dvb-1-17-1.src.tar.gz added

I am attaching an updated version of v4l-dvb-1-17.src.tar.gz that incorporates the above changes. I made a new hdpvr.diff and updated PKGBUILD to 
apply the patch and to reflect the correct md5sums as of 12/5/10. 

01/05/2011 08:02 am - jams
- Assignee changed from jams to cecil

04/25/2024 1/2



01/05/2011 12:44 pm - cecil
- Due date set to 01/10/2011

- Estimated time set to 1.50

- Target version set to 7.1

- Category set to Kernel

- % Done changed from 0 to 100

This is in the latest kernel for 7.00.01.  If you've installed the test ISO, @sudo pacman -Sy kernel26@

01/11/2011 08:39 pm - cecil
- Status changed from New to Closed

In the kernel 2.6.37-LinHES.

Files
v4l-dvb-1-17-1.src.tar.gz 1.2 kB 12/06/2010 rsay
